Package weka.clusterers.forOPTICSAndDBScan.Utils

# Class EpsilonRange_ListElement

java.lang.Object
weka.clusterers.forOPTICSAndDBScan.Utils.EpsilonRange_ListElement

All Implemented Interfaces:
  `RevisionHandler`

public class EpsilonRange_ListElement extends Object implements RevisionHandler

EpsilonRange_ListElement.java
Authors: Rainer Holzmann, Zhanna Melnikova-Albrecht, Matthias Schubert
Date: Sep 7, 2004
Time: 2:12:34 PM
$ Revision 1.4 $

Version:
  $Revision: 1.3 $
Author:
  Matthias Schubert (schubert@dbs.ifi.lmu.de), Zhanna Melnikova-Albrecht (melnikov@cip.ifi.lmu.de), Rainer Holzmann (holzmann@cip.ifi.lmu.de)

## Constructor Summary

Constructors
Constructor
Description
`EpsilonRange_ListElement(double distance, DataObject dataObject)`
Constructs a new Element that is stored in the ArrayList which is built in the k_nextNeighbourQuery-method from a specified database.

## Method Summary

Modifier and Type
Method
Description
`DataObject`
`getDataObject()`
Returns this dataObject
`double`
`getDistance()`
Returns the distance that was calulcated for this dataObject (The distance between this dataObject and the dataObject for which an epsilon-range-query was performed.)
`String`
`getRevision()`
Returns the revision string.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EpsilonRange_ListElement

public EpsilonRange_ListElement(double distance, DataObject dataObject)
Constructs a new Element that is stored in the ArrayList which is built in the k_nextNeighbourQuery-method from a specified database. This structure is chosen to deliver not only the DataObjects that are within the epsilon-range but also deliver the distances that were calculated. This reduces the amount of distance-calculations within some data-mining-algorithms.

Parameters:
  `distance` - The calculated distance for this dataObject
  `dataObject` - A dataObject that is within the epsilon-range

## Method Details

### getDistance

public double getDistance()
Returns the distance that was calulcated for this dataObject (The distance between this dataObject and the dataObject for which an epsilon-range-query was performed.)

Returns:
  distance

### getDataObject

public DataObject getDataObject()
Returns this dataObject

Returns:
  dataObject

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision